Package org.eclipse.cdt.utils.som

# Class AR.LSTHeader

java.lang.Object
org.eclipse.cdt.utils.som.AR.LSTHeader

Enclosing class:
  AR

public class AR.LSTHeader extends Object
Library Symbol Table header

## Field Summary

Fields
Modifier and Type
Field
Description
`short`
`a_magic`
`int`
`aux_loc`
`int`
`aux_size`
`int`
`checksum`
`int`
`dir_loc`
`int`
`export_count`
`int`
`export_loc`
`int`
`file_end`
`int`
`file_time_nano`
`int`
`file_time_sec`
`int`
`free_list`
`int`
`hash_loc`
`int`
`hash_size`
`int`
`import_loc`
`static final int`
`LST_HEADER_OFFSET`
`static final int`
`LST_HEADER_SIZE`
`int`
`module_count`
`int`
`module_limit`
`int`
`string_loc`
`int`
`string_size`
`short`
`system_id`
`int`
`version_id`

## Constructor Summary

Constructors
Constructor
Description
`LSTHeader()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LST_HEADER_OFFSET

public static final int LST_HEADER_OFFSET

See Also:
  - Constant Field Values

### LST_HEADER_SIZE

public static final int LST_HEADER_SIZE

See Also:
  - Constant Field Values

### system_id

public short system_id

### a_magic

public short a_magic

### version_id

public int version_id

### file_time_sec

public int file_time_sec

### file_time_nano

public int file_time_nano

### hash_loc

public int hash_loc

### hash_size

public int hash_size

### module_count

public int module_count

### module_limit

public int module_limit

### dir_loc

public int dir_loc

### export_loc

public int export_loc

### export_count

public int export_count

### import_loc

public int import_loc

### aux_loc

public int aux_loc

### aux_size

public int aux_size

### string_loc

public int string_loc

### string_size

public int string_size

### free_list

public int free_list

### file_end

public int file_end

### checksum

public int checksum

## Constructor Details

### LSTHeader

public LSTHeader() throws IOException

Throws:
  `IOException`